Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 488864 - media-libs/harfbuzz - add multilib support
Summary: media-libs/harfbuzz - add multilib support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords: PATCH, PMASKED
Depends on: 480422 488860
Blocks: gx86-multilib 488868
  Show dependency tree
 
Reported: 2013-10-21 11:12 UTC by Andrew Church
Modified: 2014-03-04 03:52 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
harfbuzz-0.9.20.ebuild.patch (harfbuzz-0.9.20.ebuild.patch,1.33 KB, patch)
2013-10-21 11:12 UTC, Andrew Church
Details | Diff
harfbuzz-0.9.23.ebuild.patch (harfbuzz-0.9.23.ebuild.patch,1.67 KB, patch)
2013-12-30 20:03 UTC, Andrew Church
Details | Diff
harfbuzz-0.9.23.ebuild.patch (harfbuzz-0.9.23.ebuild.patch,1.60 KB, patch)
2014-01-01 00:50 UTC, Andrew Church
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Church 2013-10-21 11:12:08 UTC
Created attachment 361508 [details, diff]
harfbuzz-0.9.20.ebuild.patch

Dependency of GTK+ via pango.
Comment 1 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-10-21 13:21:09 UTC
We need a multilib icu first - see bug #480422
Comment 2 Christoph Junghans gentoo-dev 2013-12-30 18:53:28 UTC
(In reply to Alexandre Rostovtsev from comment #1)
> We need a multilib icu first - see bug #480422
multilib icu done, please go ahead with the review.
Comment 3 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-12-30 19:19:33 UTC
(In reply to Christoph Junghans from comment #2)
> multilib icu done, please go ahead with the review.

Is this urgent? I would prefer to wait for multilib graphite2 (bug #488860), but I suppose we could temporarily add this with graphite disabled for non-native ABIs. Harfbuzz needs graphite to support Silf tables in fonts for non-Western writing systems, but I don't think that such fonts are very common at the moment.
Comment 4 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-12-30 19:30:46 UTC
(In reply to Andrew Church from comment #0)
(In reply to Christoph Junghans from comment #2)

Quick review:

cairo is used only for command-line utils, so we don't need a multilib dep on it, and it should only be enabled for native ABI.

introspection should be enabled only for native ABI; we don't need 32-bit python or javascript bindings on amd64.
Comment 5 Andrew Church 2013-12-30 20:03:49 UTC
Created attachment 366596 [details, diff]
harfbuzz-0.9.23.ebuild.patch

Thanks for the review.

>cairo is used only for command-line utils, so we don't need a multilib dep on
>it, and it should only be enabled for native ABI.

Fixed.

>introspection should be enabled only for native ABI; we don't need 32-bit
>python or javascript bindings on amd64.

I was aware of that, but apparently I overlooked it for this package.  Fixed, thanks for catching that.
Comment 6 Christoph Junghans gentoo-dev 2013-12-31 23:18:53 UTC
This patch looks really nice and clean.
Comment 7 Andrew Church 2014-01-01 00:50:46 UTC
Created attachment 366676 [details, diff]
harfbuzz-0.9.23.ebuild.patch

Oops, I just realized I accidentally deleted the := on the cairo dep when I removed ${MULTILIB_USEDEP}.  Fixed in this version of the patch.
Comment 8 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-03-01 13:33:21 UTC
+*harfbuzz-0.9.26-r1 (01 Mar 2014)
+
+  01 Mar 2014; Michał Górny <mgorny@gentoo.org> +harfbuzz-0.9.26-r1.ebuild:
+  Introduce multilib support as a dependency of pango, bug #488864.

Committed p.masked, feel free to comment before it is unmasked.
Comment 9 Alexandre Rostovtsev (RETIRED) gentoo-dev 2014-03-04 03:52:19 UTC
(In reply to Michał Górny from comment #8)
> Committed p.masked, feel free to comment before it is unmasked.

Ack from maintainer. Can be unmasked as soon as graphite2 is.